Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Abstract_Servant_Base.h File Reference

`#include "ace/CORBA_macros.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/Basic_Types.h"`
`#include "tao/Collocation_Strategy.h"`
`#include "tao/CORBA_methods.h"`
`#include "tao/Pseudo_VarOut_T.h"`

Include dependency graph for Abstract_Servant_Base.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
namespace | TAO
## Classes
class | TAO_Abstract_ServantBase
## Typedefs
typedef InterfaceDef * | InterfaceDef_ptr
typedef Object * | Object_ptr
typedef TAO_Pseudo_Var_T< Object > | Object_var
typedef TAO_Pseudo_Out_T< Object, Object_var > | Object_out
typedef void(* | TAO_Skeleton )(TAO_ServerRequest &, void *, void *)
typedef void(* | TAO_Collocated_Skeleton )(TAO_Abstract_ServantBase *, TAO::Argument **, int)

## Detailed Description

Id
  Abstract_Servant_Base.h,v 1.23 2005/11/02 07:13:02 ossama Exp

This files contains the TAO_Abstract_ServantBase, which is used as a way to decuple the PortableServer from the TAO Core, and make it possible to keep the reference to the servant in the CORBA::Object class.

Author:
  Angelo Corsaro <corsaro@cs.wustl.edu>

## Typedef Documentation

typedef InterfaceDef * CORBA::InterfaceDef_ptr

typedef TAO_Pseudo_Out_T< Object, Object_var > CORBA::Object_out

typedef Object * CORBA::Object_ptr

typedef TAO_Pseudo_Var_T< Object > CORBA::Object_var

typedef void(* TAO_Collocated_Skeleton)(TAO_Abstract_ServantBase *, TAO::Argument **, int)

typedef void(* TAO_Skeleton)(TAO_ServerRequest &, void *, void *)